<!DOCTYPE html>
<html lang="en">
  <head>
    <style>
      :root{
        --main-color: #FCF0C8;
      }
      * {
        margin: 0;
        padding: 0;
      }
      nav {
        height: 70px;
        background: #630A10;
        z-index: 10;
        position: fixed;
        width: 100%;
      }
      nav h1{
        position: absolute;
        width: 200px;
        top: 18px;
        left: 5%;
        color: var(--main-color);
      }
      nav h1 a{
        text-decoration: none;
        font-family: poppins;
        font-weight: 800;
        letter-spacing: 4px;
        font-size: 20px;
        margin: 0 10px;
        color: var(--main-color);
      }
      nav a {
        font-family: 'Montserrat', sans-serif;
        font-size: 20px;
        top: 10px;
        font-weight: 500;
        color: var(--main-color);
        text-decoration: none;
      }
      nav ul{
        float: right;
        margin-right: 20px;
        list-style: none;
      }
      nav li a{
        transition: all 0.3s ease 0s;
      }
      nav li a:hover{
        color: #131210;
      }
      nav ul li{
        display: inline-block;
        line-height: 50px;
        margin: 0 15px;
      }
      nav ul li a{
        position: relative;
        padding: 5px 0;
        color: var(--main-color);
        font-size: 16px;
        text-decoration: none;
      }
      label #sign-one,
      label #sign-two{
        font-size: 30px;
        color: var(--main-color);
        float: right;
        line-height: 70px;
        margin-right: 30px;
        cursor: pointer;
        display: none;
      }
      #res-menu{
        display: none;
      }
      @media (max-width: 870px) {
        label #sign-one{
          display: block;
        }
        nav ul{
          position: fixed;
          width: 100%;
          height: 100vh;
          background-color: rgb(71, 19, 30);
          top: 70px;
          left: -100%;
          text-align: center;
          transition: .5s;
          z-index: 10;
        }
        nav ul li{
          display: block;
          margin: 40px 0;
          line-height: 30px;
        }
        nav ul li a{
          font-size: 20px;
        }
        #res-menu:checked ~ ul{
          left: 0;
        }
        #res-menu:checked ~ label #sign-one{
          display: none;
        }
        #res-menu:checked ~ label #sign-two{
          display: block;
        }
      }
      .banner-area {
        text-align: center;
        width: 100%;
        height: 600px;
        position: fixed;
        top: 50px;
        background-image: url("https://images.unsplash.com/photo-1633628766566-0dce9a6b1a68?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1344&q=80");
        -webkit-background-size: cover;
        background-size: cover;
        background-position: center center;
      }
      .banner-area h2 {
        padding-top: 11%;
        font-size: 50px;
        font-family: poppins;
        text-transform: uppercase;
        color: #FCF0C8;
      }
      .content-area {
        width: 100%;
        position: relative;
        top: 450px;
        background: #131210;
        min-height: 650px;
        height: min-content;
        max-height: 1500px;
        padding-top: 1.3%;
      }
      .content-area h2 {
        font-family: poppins;
        letter-spacing: 4px;
        padding-top: 30px;
        font-size: 40px;
        margin: 0;
      }
      .content-area p {
        padding: 2% 0px;
        font-family: poppins;
        line-height: 30px;
      }
      .content-table{
        border-collapse: collapse;
        margin: 25px 0;
        font-size: 0.9em;
        min-width: 480px;
        border-radius: 5px 5px 0 0;
        overflow: hidden;
        box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
        width: 70%; 
        margin-left: 15%; 
        margin-right: 15%;
      }
      .content-table th{
        background-color: #911F27;
        color: #FFF8E5;
        text-align: left;
        font-weight: bold;
        text-align: center;
      }     
      .content-table th,
      .content-table td{
        padding: 12px 15px;
      }
      .content-table td{
        color: #FFF8E5;
      }
      .content-table tbody tr{
        border-bottom: 1px solid #1f1701;
      }
      .content-table tbody tr:nth-of-type(even){
        background-color: #252A34;
      }
      .content-table tbody tr:last-of-type{
        border-bottom: 2px solid #E05D5D;
      }
    </style>
  <head>
    <meta charset="UTF-8" />
    <title>Notes</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
  </head>
  <body>
    <nav>
      <input type="checkbox" id="res-menu">
      <label for="res-menu">
        <i class="fa fa-bars" id="sign-one"></i>
        <i class="fa fa-times" id="sign-two"></i>
      </label>
      <h1><a href="/lab-4">NOTEit!</a></h1>
      <ul>
        <li><a href="/lab-4">Table</a></li>
        <li><a href="add-note">Form</a></li>
        <li><a href="list-note">Card</a></li>
      </ul>
    </nav>
    <div class="banner-area">
      <h2>Notes</h2>
    </div>
    <div class="content-area">
      <div>
        <table class="content-table">
          <tr>
            <th>To</th>
            <th>From</th>
            <th>Title</th>
            <th>Message</th>
          </tr>
            {% for note in notes %}
            <tr>
              <td>{{ note.receiver }}</td>
              <td>{{ note.sender }}</td>
              <td>{{ note.title }}</td>
              <td>{{ note.message }}</td>
            </tr>
            {% endfor %}
          <!-- END SECTION -->
        </table>
      </div>
    </div>
  </body>
</html>